QIFDateiParser
Date: 2015-04-26

de.jost_net.OBanToo.QIF

## Class QIFDateiParser

- java.lang.Object
- - de.jost_net.OBanToo.QIF.QIFDateiParser

-     public class QIFDateiParser
      extends java.lang.Object

  Parser für QIF-Dateien

  Mit dem QIF-Parser können QIF-Dateien vom Typ "Bank" geparst werden. Die Daten werden in Objekten vom Typ QIFBuchung abgelegt, die wiederum in einem Vector gespeichert werden.

  Sollte die zu parsende QIF-Datei fehlerhaft sein, werden entsprechende QIFExceptions geworfen.

  Mit dem Aufruf der next()-Methode werden die einzelen Buchungen zurückgeliefert. Sobald alle Buchungen zurückgegeben wurden, wird null zurückgeliefert.

  Beispiel Auflistung aller Buchungen:
  `QIFDateiParser p = new QIFDateiParser("/home/heiner/test.QIF");
  QIFBuchung b = p.next();
  while (b != null)
  {
  System.out.println(b);
  b = p.next();
  }
  `

  Author:
    Heiner Jostkleigrewe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bi` Buchungsindex
    `private java.util.Vector<QIFBuchung>` | `buchungen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QIFDateiParser(java.io.InputStream is)`
    `QIFDateiParser(java.lang.String filename)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAnzahlBuchungen()`
    `QIFBuchung` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buchungen

          private java.util.Vector<QIFBuchung> buchungen

    - #### bi

          private int bi

      Buchungsindex

  - ### Constructor Detail

    - #### QIFDateiParser

          public QIFDateiParser(java.lang.String filename)
                         throws java.io.IOException,
                                QIFException

      Throws:
        `java.io.IOException`
        `QIFException`

    - #### QIFDateiParser

          public QIFDateiParser(java.io.InputStream is)
                         throws java.io.IOException,
                                QIFException

      Throws:
        `java.io.IOException`
        `QIFException`

  - ### Method Detail

    - #### getAnzahlBuchungen

          public int getAnzahlBuchungen()

    - #### next

          public QIFBuchung next()